unit Form_About;


{*****************************************************************}
{                                                                 }
{  Form_About                                                     }
{                                                                 }
{  About box for UnitUsage                                        }
{                                                                 }
{  Special thanks to                                              }
{  W. Ehrhardt, M. Schoch, MaBuSe, Gruber_Hans_12345              }
{*****************************************************************}



interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, jpeg, ComCtrls, ShellAPI;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    Timer1: TTimer;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Comments: TLabel;
    Label1: TLabel;
    Label6: TLabel;
    TabSheet3: TTabSheet;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Label5: TLabel;
    Label7: TLabel;
    SpeedButton3: TSpeedButton;
    Label8: TLabel;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    Label9: TLabel;
    Label10: TLabel;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    Label11: TLabel;
    Label12: TLabel;
    SpeedButton8: TSpeedButton;
    Label13: TLabel;
    SpeedButton9: TSpeedButton;
    Label14: TLabel;
    SpeedButton10: TSpeedButton;
    Label15: TLabel;
    Bevel1: TBevel;
    Label16: TLabel;
    Label17: TLabel;
    SpeedButton11: TSpeedButton;
    Label18: TLabel;
    Memo1: TMemo;
    Image1: TImage;
    Label19: TLabel;
    BitBtn1: TBitBtn;
    Image2: TImage;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormShow(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure Image2Click(Sender: TObject);
  private
    { Private declarations }
    procedure CallURL(URL: string);
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;
  ExtraString: string = '';

implementation

{$R *.dfm}

procedure TAboutBox.CallURL(URL: string);
begin
  ShellExecute(Application.Handle, 'open', PChar(URL), nil, nil, SW_ShowNormal);
end;



procedure TAboutBox.FormShow(Sender: TObject);
begin
  Label1.Caption := 'Dot version found:'#10+ExtraString;
  Label1.Width := Panel1.Width - 16;
  Label1.Height := 33;
end;


procedure TAboutBox.SpeedButton1Click(Sender: TObject);
begin
  WITH Sender as TSpeedButton DO
    CallURL(Hint);
end;

procedure TAboutBox.Image2Click(Sender: TObject);
begin
  ShellExecute(Application.Handle, 'open', PChar('http://www.na-n.de/'), nil, nil, SW_ShowNormal);
end;

end.



