unit FormOptions;

{*****************************************************************}
{                                                                 }
{  FormOptions                                                    }
{                                                                 }
{  Options form of UnitUsage                                      }
{  (Mainly path to dot.exe)                                       }
{                                                                 }
{                                                                 }
{  (c) 2007 M. Braun                                              }
{  Contact: info@grizzlymotion.com                                }
{                                                                 }
{*****************************************************************}




interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TForm_Options = class(TForm)
    Edit_DotPath: TEdit;
    Label1: TLabel;
    SpeedButton1: TSpeedButton;
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    OpenDialog1: TOpenDialog;
    CheckBox1: TCheckBox;
    procedure SpeedButton1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_Options: TForm_Options;

implementation

{$R *.dfm}

procedure TForm_Options.SpeedButton1Click(Sender: TObject);
begin
  OpenDialog1.FileName := Edit_DotPath.text;
  IF OpenDialog1.Execute then
    Edit_DotPath.text := OpenDialog1.filename;
end;

procedure TForm_Options.BitBtn2Click(Sender: TObject);
begin
  close;
end;

procedure TForm_Options.BitBtn1Click(Sender: TObject);
begin
  ModalResult := mrOK;
end;

end.
